// -*- c++ -*-
/*
  Copyright 2003 John Knottenbelt
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
*/

#if !defined __DVBD_H 
#define __DVBD_H

#include <string>
#include <map>
#include <list>

class TuneParams;
class ConfigFile;

/* Typedefs */

typedef std::list<std::string> StringList;

/* Functions */

typedef std::map<std::string, TuneParams *> ChannelMap;
bool readChannelsConf(const std::string &type, const std::string &filename, ChannelMap &channels );
void setupSignalHandlers();
bool daemonize(ConfigFile &);

/* globals */

extern int debugLevel;

#define DEFAULT_CARD "dvb-t:/dev/dvb/adapter0/frontend0:/etc/tzap.channels.conf"

#endif // __DVBD_H
